ELF_VERSION(3)

NAME
elf_version - set the ELF version for libelf.

SYNOPSIS
#include <libelf.h> unsigned int elf_version(unsigned int version);

DESCRIPTION
The elf_version function sets libelf's ELF version to the specified value. This function must be called before any other libelf functions are used.

PARAMETERS

version
    An unsigned int value specifying the desired ELF version for the library. This is should be set to EV_CURRENT to indicate the current ELF version. At this time the only supported ELF version is EV_CURRENT.

RETURN VALUE
The elf_version function returns EV_CURRENT if version is supported and sets the library's ELF version to this value. If the given version is EV_NONE, then this function returns EV_CURRENT and does not set the library's ELF version. If the specified version is not supported, this function returns EV_NONE.

REPORTING BUGS
Report bugs to <elfutils-devel@sourceware.org> or https://sourceware.org/bugzilla/.